Description: build against system discount/libmarkdown2 library
Author: Cédric Boutillier <boutil@debian.org>
Last-Update: 2014-08-23

--- a/ext/bluecloth.h
+++ b/ext/bluecloth.h
@@ -7,18 +7,17 @@
 #ifndef BLUECLOTH_H
 #define BLUECLOTH_H
 
-#include "config.h"
-#include "assert.h"
+#include <assert.h>
 
-#include "mkdio.h"
-#include "ruby.h"
+#include <mkdio.h>
+#include <ruby.h>
 
 void mkd_initialize  		_(( void ));
 void mkd_with_html5_tags	_(( void ));
 
 #if defined(HAVE_RUBY_ENCODING_H) && HAVE_RUBY_ENCODING_H
 #	define M17N_SUPPORTED
-#	include "ruby/encoding.h"
+#	include <ruby/encoding.h>
 #endif
 
 /* Replace the macro from encoding.h that refers to static 'rb_encoding_list' */
--- a/ext/extconf.rb
+++ b/ext/extconf.rb
@@ -39,6 +39,7 @@
 end
 
 have_header( 'mkdio.h' ) or abort "missing mkdio.h"
+have_library('markdown')
 
 # Check for 1.9.xish encoding header
 have_header( 'ruby/encoding.h' )
